# Created by pyp2rpm-3.3.3
%global pypi_name requirements-parser
%global python3_pkgversion 38

Name:           python%{python3_pkgversion}-%{pypi_name}
Version:        0.2.0
Release:        3%{?dist}
Summary:        Parses Pip requirement files

License:        BSD
URL:            https://github.com/davidfischer/requirements-parser
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description
%{summary}

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files
%license LICENSE.rst
%doc README.rst
%{python3_sitelib}/requirements
%{python3_sitelib}/requirements_parser-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Apr 13 2021 Satoe Imaishi <simaishi@redhat.com> - 0.2.0-3
- Change component name to python38-

* Mon Apr 12 2021 Satoe Imaishi <simaishi@redhat.com> - 0.2.0-2
- Use python 3.8

* Thu Nov 05 2020 Evgeni Golov - 0.2.0-1
- Initial package.
